{
  "azkaban.utils.StringUtils.isFromBrowser": [
    "[\"Java/12.0.1\"]"
  ],
  "azkaban.executor.ExecutionFlowDao.fetchRecentlyFinishedFlows": [
    "[{\"r\":\"@java.time.Duration\"}]"
  ],
  "azkaban.executor.JdbcExecutorLoader.fetchRecentlyFinishedFlows": [
    "[{\"r\":\"@java.time.Duration\"}]"
  ],
  "azkaban.executor.ExecutorManager.getRecentlyFinishedFlows": [
    "[]"
  ],
  "azkaban.project.ProjectManager.getGroupProjects": [
    "[{\"userid\":\"azkaban\",\"roles\":[\"admin\"],\"groups\":[\"azkaban\"],\"properties\":{},\"email\":\"\",\"userPermissions\":{\"this$0\":{\"XML_FILE_PARAM\":\"user.manager.xml.file\",\"AZKABAN_USERS_TAG\":\"azkaban-users\",\"USER_TAG\":\"user\",\"ROLE_TAG\":\"role\",\"GROUP_TAG\":\"group\",\"ROLENAME_ATTR\":\"name\",\"ROLEPERMISSIONS_ATTR\":\"permissions\",\"USERNAME_ATTR\":\"username\",\"PASSWORD_ATTR\":\"password\",\"EMAIL_ATTR\":\"email\",\"ROLES_ATTR\":\"roles\",\"PROXY_ATTR\":\"proxy\",\"GROUPS_ATTR\":\"groups\",\"GROUPNAME_ATTR\":\"name\",\"logger\":{\"r\":\"@org.apache.log4j.Logger\"},\"xmlPath\":\"conf/azkaban-users.xml\",\"users\":{\"azkaban\":{\"r\":\"@azkaban.user.User\"},\"metrics\":{\"userid\":\"metrics\",\"roles\":[\"metrics\"],\"groups\":[],\"properties\":{},\"email\":\"\"}},\"userPassword\":{\"azkaban\":\"azkaban\",\"metrics\":\"metrics\"},\"roles\":{\"admin\":{\"name\":\"admin\",\"globalPermission\":{\"permissions\":[\"ADMIN\"]}},\"metrics\":{\"name\":\"metrics\",\"globalPermission\":{\"permissions\":[\"METRICS\"]}}},\"groupRoles\":{},\"proxyUserMap\":{}}}}]"
  ],
  "azkaban.project.JdbcProjectImpl.fetchPermissionsForProject": [
    "[{\"id\":\"263\",\"name\":\"project14\",\"userPermissionMap\":{},\"groupPermissionMap\":{},\"proxyUsers\":[\"azkaban\"],\"active\":\"true\",\"description\":\"14\",\"version\":\"0\",\"createTimestamp\":\"1561952224198\",\"lastModifiedTimestamp\":\"1561952224198\",\"lastModifiedUser\":\"azkaban\",\"flows\":{},\"metadata\":{}}]",
    "[{\"id\":\"93\",\"name\":\"project2\",\"userPermissionMap\":{},\"groupPermissionMap\":{},\"proxyUsers\":[\"azkaban\"],\"active\":\"true\",\"description\":\"2\",\"version\":\"0\",\"createTimestamp\":\"1561952046293\",\"lastModifiedTimestamp\":\"1561952046293\",\"lastModifiedUser\":\"azkaban\",\"flows\":{},\"metadata\":{}}]",
    "[{\"id\":\"202\",\"name\":\"project25\",\"userPermissionMap\":{},\"groupPermissionMap\":{},\"proxyUsers\":[\"azkaban\"],\"active\":\"true\",\"description\":\"25\",\"version\":\"0\",\"createTimestamp\":\"1561952157895\",\"lastModifiedTimestamp\":\"1561952157895\",\"lastModifiedUser\":\"azkaban\",\"flows\":{},\"metadata\":{}}]"
  ]
}